const std = @import("std");
const lsp_types = @import("lsfw/src/types.zig");
const lsp = @import("lsfw/src/lsp.zig");
const lsp_doc = @import("lsfw/src/document.zig");

const State = struct {};
const Lsp = lsp.Lsp(State);

fn handleHover(allocator: std.mem.Allocator, context: *Lsp.Context, position: lsp_types.Position) ?[]const u8 {
    _ = allocator;
    _ = position;
    _ = context;
    return null;
}

pub fn start() !u8 {
    const descr = lsp_types.ServerData{
        .serverInfo = .{
            .name = "skill lsp",
            .version = "0.1.0",
        },
    };

    var server = Lsp.init(std.heap.page_allocator, descr);

    server.registerHoverCallback(handleHover);
    return server.start();
}
