const std = @import("std");
const tkz = @import("tokenize.zig");

pub fn main() !void {
    var file = try std.fs.cwd().openFile("data/example.il", .{});
    defer file.close();

    const content = try file.readToEndAlloc(std.heap.page_allocator, 4096 * ((1 << 10) << 10));

    const toks = try tkz.tokenizeContent(content);
    for (toks.items) |tok| {
        std.debug.print("{}:{} `{s}`\n", .{
            tok.line,
            tok.char,
            tok.value,
        });
    }
}
